RESUME -NL- **`L. Narayana Reddy`[NAME]** -NL- Email :**`signin_narayan@hotmail.com`[EMAILS_EMAIL]** -NL- #8, 2nd Floor,10th Main, -NL- Mobile: **`9449466872`[PHONES_PHONE]** -NL- 10th Main,AnjaneyaNagar, Ittamadu, -NL- BSK 3rdStage, Bangalore-85. -NL- Skill Set : C++,VC++,MFC,STL,ATL,COM,VB,ASP,SQLServer,Smalltalk, -NL- Visual Age, Asp.net, C#. -NL- Operating System : Windows XP,Windows7,Windows10. -NL- **`Education :`[EDUCATION_HEADING]** -NL- **`B.E`[EDUCATION_DEGREE]**(**`C.S`[EDUCATION_COURSE]**) : Basaveshwara Engineering College, Karnataka University. -NL- **`P.U.C`[EDUCATION_DEGREE]** : **`S.R.S College, Sandur, Bellary`[EDUCATION_INSTITUTE]**(Dist). -NL- S.S.L.C : **`Sree Ramakrishna Vidyashala, Mysore.`[EDUCATION_INSTITUTE]** -NL- **`Job Profile :`[WORK_EXPERIENCE_HEADING]** -NL-  Software Engineer with 11+ years of experience in software development in developing various -NL- client/server applications using VC++, C++, MFC, ATL, COM and rest in web based applications. -NL-  A quick learner with problem solving, good analytical and interpersonal skills. -NL-  Lead the team size of 5. -NL-  Designed the database. -NL-  6 months oversees experience. -NL-  Exposure to UML-Rational Rose tool and have knowledge of design patterns. -NL-  Installed MMansys product at the client place. -NL-  Trained the freshers on VC++ and also end users on the product. -NL-  Involved in Complete Software Development Life Cycle. -NL-  Experience in the collection of requirements from the client and also involved in the estimation process. -NL- . -NL- Position and Present Employer : As a **`senior software engineer`[EMPLOYER_ROLE]** in **`Allegis Services India PVT.LTD`[PROJECT_COMPANY_NAME]**. -NL- PROJECT DETAILS -NL-  Project : **`Cerner Millennium `[PROJECT_TITLE]**-NL- Organization : **`Allegis Services India PVT.LTD`[EMPLOYER_COMPANY_NAME]**. -NL- Client : Cerner -NL- Duration : May-2018 to till date. -NL- Role : Team member in a team size of 10. -NL- Environment : VC++, C++, OCX -NL- Tools Used : JIRA Tool, Crucible Tool, Tortoise SVN. -NL- Model Used : Agile Methodology. -NL- Project Description : -NL- Cerner Millennium is a cloud based automated library solution suitable for small to midsized medical practices. -NL- It provides evidence based decision making for clinicians and enables reduced treatment discrepancies through -NL- administration and dispensing. The solution helps teams collaborate and deliver information and offer care for -NL- several common high-risk disorders. -NL- It also helps in staff shift planning and patient care with real-time bed management and enables decreased turn -NL- around time for results management through real--time clinical dashboards. -NL- It offers the round the clock support and can also be installed on mobile devices. -NL- My Contribution : -NL-  Study of the requirement. -NL-  Uplifted the given screens so that those can be accessed by disabled users. -NL-  Responsible for the delivery of phase3 screens to the 2018.02 pipeline. -NL-  Provided the solution to the functionality issues for the grid ocx component and helped the -NL- C# team for integrating the component. -NL-  Performed unit testing. -NL-  Analyzed the issues reported by the client using Win DBG tool, reported the root cause for the same. -NL-  Project : **`PROSTAR`[PROJECT_TITLE]** -NL- Organization : **`UTTHUNGA Technologies PVT.LTD`[PROJECT_COMPANY_NAME]**. : -NL- Duration : July-2017 to Oct-2017. -NL- Role : Team member in a team size of 5. -NL- 1 -NL- Environment : C++,Ubuntu-LINUX. -NL- Project Description : -NL- **`PROSTAR`[PROJECT_TITLE]** is embedded software designed to communicate with devices using HART protocol. It has various -NL- features like scan, update, configure and call back. These features help the user to know the device status, so -NL- that he can accordingly configure the device, to retain its original behavior. -NL- My Contribution : -NL-  Study of the requirement. -NL-  Involved in coding for accessing the devices, performed unit testing. -NL-  Worked on HMI Display builder product for Honeywell client and fixed few crashes. Skill set used for HMI -NL- Display builder is C++,VB,COM,OCX,MFC,Visual Studio 2015. -NL-  Project : **`Contentverse`[PROJECT_TITLE]** -NL- Organization : **`SyntaxSoft(I) PVT.LTD.`[PROJECT_COMPANY_NAME]** -NL- Client : Computhink -NL- Duration : Nov-2015 to March-2017. -NL- Role : Team member in a team size of 5. -NL- Environment : VC++, MFC, C++, C, Win32C, Java, SQL Server, DEBENU Toolkit -NL- Project Description : -NL- **`Contentverse`[PROJECT_TITLE]** is a document management system that can automate and streamline the document work flow in -NL- business of almost any size. With digital filing system for documents, it’s is much easier and faster for employees -NL- to search for and find the exact documents they need and for you to ensure that right people have access to -NL- documents when and where they need them. -NL- It has various features such as user friendly interface, access of documents from anywhere on just about any -NL- device that supports standard browser, provides various tools to improve company work flow management, -NL- security management, which provides security to data, also provides user’s level authentication, so that user -NL- having access rights can access the system. In addition to that, it has export, print and mailing features. -NL- It is a three tier architecture, where presentation layer is developed in VC++, also developed in java for web -NL- users. business layer is developed using JAVA[jar components], where as database layer is developed using -NL- SQL Server,Oracle. -NL- My Contribution : -NL-  Study of the requirement also created new component, so that it manages PDF files. -NL-  Updated the code, so that new component incorporates advanced features like highlight, stamping, -NL- signature, sticky note icon. -NL-  Involved in coding, unit testing and functionality testing. -NL-  Prepared the requirement specification document for the advanced features. -NL-  Fixed the defects that are registered in BugZilla. -NL-  Interaction with product owners, on issue clarification. -NL-  Project : **`CPS`[PROJECT_TITLE]** -NL- Organization : **`SUTHERLAND Global Services`[PROJECT_COMPANY_NAME]** -NL- Client : GE Healthcare -NL- Duration : June-2015 to Oct-2015. -NL- Role : Team member in a team size of 5. -NL- Environment : VC++,C#, SQLServer,COM. -NL- Tools Used : Perforce,Rally,ALM,ClearQuest. -NL- Model Used : Agile Methodology. -NL- Project Description : -NL- **`CPS`[PROJECT_TITLE]** is a Centricity Practice Solution tool, where it helps users to digitally manage patient records and -NL- documents in central database. It also helps physician to track patient directives, medications, problems, -NL- allergies, history and record all methods of treatment and procedures. In addition to clinical content, centricity -NL- practice solution manages office logistics such as scheduling, registration, finance, health insurance. -NL- It also helps physician in their decision making process by providing links to the reference materials such drug -NL- dosage, medical text books, clinical terminology and reminder for follow up visits and procedure. It also has -NL- reporting feature which helps users to get various required information. -NL- It is a three tier architecture ,where presentation layer is developed in VC++/C#, MEL forms, business layer -NL- developed using C++,COM,JAVA,J2EE,SPRING, where as database layer developed using SQL Server. -NL- My Contribution : -NL-  Translated few User Stories into Portuguese from the chart module. -NL-  Prepared the design docs for the user stories that are translated. -NL-  Fixed few SPRS found in system testing. -NL-  Involved in unit testing and functionality testing. -NL-  Project : **`SRDM`[PROJECT_TITLE]** -NL- Organization : **`SHARP SOFTWARE Development India PVT.LTD`[PROJECT_COMPANY_NAME]**. -NL- 2 -NL- Duration : Sept-2011 to Oct-2012. -NL- Role : Senior Team member in team size of 4. -NL- Environment : C++,C#, SQLServer, ASP.net, Tortoise SVN -NL- Protocols Used : SNMP,ICMP,SMTP -NL- Project Description : -NL- **`SRDM`[PROJECT_TITLE]** is a web based, printer administration utility tool, which manages the printers on the network. It has -NL- various features like device management, configuration management, real time control of printers, remotely view -NL- and operate the devices front panel, remote firmware upgrades, report management, alert management, clone -NL- settings across multiple devices. It is a user friendly tool helps to quickly resolve the issues, reduces the number -NL- of support calls, also maximizes the printers’ up time. -NL- My Contribution : -NL-  Study of the requirements for the enhancements. -NL-  Added support for new MFPs. -NL-  Developed IPv6 multicast simulator. -NL-  Prepared the design docs. -NL-  Added IPv6 support for communication module. -NL-  Found the solution for some of the market claims. -NL-  Involved in coding, unit testing and code reviews. -NL-  Project : **`MOCK1`[PROJECT_TITLE]** -NL- Organization : **`Collabera Solutions PVT. LTD.`[PROJECT_COMPANY_NAME]** -NL- Client : Caterpillar Logistics PVT.LTD. -NL- Duration : Aug-2010 to Jun-2011 -NL- Role : Independent Consultant.. -NL- Environment : VC++ 2008, Mainframe-DB2, FCP -NL- Project Description : -NL- **`MOCK1`[PROJECT_TITLE]** is a application that assists kit designers in creating and modifying caterpillar kits and assigning them -NL- to higher level parts, such as engine arrangements. Each kit is a collection of parts that helps mechanics to -NL- perform basic repairs and maintenance on caterpillar engines and drive trains. -NL- **`MOCK1`[PROJECT_TITLE]** allows kit designer to create a list of components parts from new engine or drive train arrangement. The -NL- kit designer can then determine which types of kits are required to service the particular arrangement and which -NL- of the arrangement components should be included in each of the kit for the for the given arrangement. The type -NL- of kit in which the component part is included is referred as the component parts usage or kit type. The list is -NL- then sorted and compared with the consists of existing kits for other engine or drive train arrangements. The kit -NL- designer will then either create new kit(s) to fit the needs of the particular new engine or drive train arrangement -NL- or he may do both. -NL- It’s presentation layer is developed in VC++6.0, and it has backend as Mainframe-DB2 -NL- My Contribution : -NL-  Upgraded the existing Project from VC6.0 to VC8.0(VC++2008) -NL-  Study of the requirements for the enhancement. -NL-  Interaction with users and owner in the US.Prepared the docs.. -NL-  Fixed the run time defects that were found during the migration. -NL-  Coded for the enhancement. -NL-  Project : **`M’Mansys`[PROJECT_TITLE]** -NL- Organization : **`Axcend Automation Software Solutions PVT.LTD.`[PROJECT_COMPANY_NAME]** -NL- Client : Product with no specific client. -NL- Duration : June-2004 to Aug-2009. -NL- Role and Team size : Developer and Project Lead in team size of 5. -NL- Environment : VC++,COM, Windows NT,MS-Access, UML. -NL- Project Description : -NL- **`M’Mansys`[PROJECT_TITLE]** is product developed to cater to the Integrated Maintenance management needs of an enterprise. It -NL- can be used across different verticals such as manufacturing, service sector, hospital management, utilities. -NL- it covers the breadth of the maintenance services and includes the features for asset management, maintenance -NL- scheduling, maintenance execution, reports and analysis. -NL- The tool has been deployed successfully with the clients and has brought to them improved maintenance -NL- operation and reduced operational costs. -NL- The application has several user friendly interfaces such as maintenance calendar, alarm dashboard, employee -NL- utilization charts. It has proven performance and reliability levels with its users. -NL- **`M’Mansys`[PROJECT_TITLE]** is a robust three tier client server based application. The thin client is developed in VC++ and acts as -NL- presentation layer. The business layer has been developed using ATL COM. It has database layer as MS -NL- Access. -NL- My contribution : -NL-  Involved in study of requirements and Designed database for it. -NL- 3 -NL-  Involved in development of prototype. -NL-  Prepared High Level Design document. -NL-  Prepared Detailed Level Design docs for some of the modules. -NL-  Developed some of the business components. -NL-  Wrote SQL Queries and coded for some of the modules. -NL-  Helped team members in completing their assigned tasks. -NL-  Involved in code reviews and unit testing for all modules. -NL-  Developed Active-x controls and also used Data Dynamics Crystal reports. -NL-  Developed Licensing Component for Evaluation and Permanent Versions. -NL-  Prepared install shield and developed data import tool. -NL-  Involved in Bug fixing, enhancement and supporting the client. -NL-  Project : **`Score Card`[PROJECT_TITLE]** -NL- Client & Organization : **`ANZ IT`[PROJECT_COMPANY_NAME]** -NL- Duration : Feb-2003 to Apr-2003 -NL- Role and Team size : Software Engineer in team size of 2 -NL- Environment : VC++,COM, Windows NT. -NL- Project Description : -NL- Scorecard is a tool, that facilitates measuring/tracking of organization’s performance from four perspectives viz., -NL- Finance, Learning & Growth (people), Internal Business Processes (Operations) and Customer. With strong -NL- focus on vision and goals, It provides comprehensive, top down view of organization performance or future -NL- trends. Balanced Scorecard at ANZIT is generated on monthly basis: -NL- This tool helps us to measure the trend in performance, centralize performance tracking, get feedback on various -NL- processes which will enable continuous improvement, disseminate information to Senior management as well as -NL- Melbourne managers. -NL- My Contribution : -NL-  Created dial gauze, Bar gauze graphs. -NL-  Designed the database for it and developed scorecard COM component. -NL-  Involved in coding, unit testing. -NL-  Project : **`Create IT`[PROJECT_TITLE]** -NL- Organization : **`ANZ IT`[PROJECT_COMPANY_NAME]** -NL- Duration : May-2002 to Jan-2003 -NL- Role and Team size : Software Engineer in team size of 2 -NL- Environment : Windows NT,ASP, SQL Server. -NL- Project Description : -NL- Create It is a distributed authorized tool available with in Max, that allows authorized users to create and publish -NL- pages on to the Max site, When you want to share information through Max as soon as it needs to be available. -NL- It provides online editing and formatting tools, the ability to insert links and easy publishing and un publishing, -NL- improve the quality of content on Max by ensuring a consistent look and feel and improve information sharing -NL- throughout ANZ. -NL- My Contribution : -NL-  Involved in coding for user admin module, page admin module -NL-  Fixed some bugs and completed some enhancements. -NL-  Updated some stored procedures and developed new procedures. -NL-  Supported the application during testing period in Melbourne -NL-  Project : **`PSRT`[PROJECT_TITLE]** -NL- Organization : **`ANZ IT`[PROJECT_COMPANY_NAME]** -NL- Duration : Oct-2001 to Apr-2002 -NL- Role and Team size : Software Engineer in team size of 3 -NL- Environment : VB, COM, Windows NT, ASP, SQL Server. -NL- Project Description : -NL- The tool is designed to enable project managers and other authorized staff to input information about their -NL- projects onto Max and allow other authorized users to view that information. Information available with in **`PSRT`[PROJECT_TITLE]** -NL- include the status of the project’s progress through the five phases of a project (Concept, Evaluation, Design, -NL- Implementation and Benefits) and also budget information. -NL- My Contribution : -NL-  Involved in detailed level design for Picklist Admin, Project Controller Admin, Executive Admin, Reporting -NL- modules. -NL-  Wrote stored procedures for the same. -NL-  Developed ZProject Controller, ZExecutive, ZReporting, ZPickList components. -NL-  Wrote vbs files for BudgetUserMailId, statusReportMailid, removeTmpManager functionality. -NL-  Coded in asp for the above modules. -NL- 4 -NL-  Fixed the bugs for application that are raised during the UAT. -NL-  Project : **`EVoucher`[PROJECT_TITLE]** -NL- Organization : **`ANZ IT`[PROJECT_COMPANY_NAME]** -NL- Duration : Feb -2001 to Sep-2001 -NL- Role and Team size : Software Engineer in team size of 2 -NL- Environment : Windows NT, ASP, COM, SQL Server. -NL- Project Description : -NL- The tool will assist Corporate and Institutional Banking staff to electronically process fees and interest to -NL- customers accounts, which reside on Corporate Institutional Banking site on the max. -NL- Fee or Interest items are processed to the customers accounts by debiting a customers account and crediting -NL- the appropriate General Account for the Region. -NL- The tool will also provide monthly reports containing fee and interest processed via tool, thus eliminating the -NL- manual process of collating month end data by front line staff. -NL- My Contribution -NL-  Involved in detailed level design for view administration, reporting modules. -NL-  Wrote stored procedures for the same and Developed Zview, Admin, ZReport components. -NL-  Developed asp pages for above modules. -NL-  Fixed the bugs for application that are raised during the UAT. -NL-  Project : **`IXCAD`[PROJECT_TITLE]** -NL- Organization : **`Kanrad Technologies PVT.LTD`[PROJECT_COMPANY_NAME]**. -NL- Client : ImpactXoft –Inc,US -NL- Duration : Dec-1999 to Jan-2001. -NL- Role and Team size : Software Engineer in team size of 30. -NL- Environment : VC++, Windows NT, Acis. -NL- Project Description : -NL- IxCAD is Web Centric, next generation CAD/CAM Product which is being developed from scratch. It has various -NL- features like wire frames, to create curves. solids, to create solid objects. functional features like blend, chamfer, -NL- cut etc. Surfaces, to create various surfaces like planar, ruled etc. standard parts, to down load various screws, -NL- joints. Detailing to measure the dimensions of curves and solids. It also enables designers across the internet\ -NL- intranet to work in real time collaborative mode in never before manner. -NL- My Contribution : -NL-  Study of Extrude and its various options. -NL-  Designed Extrude, Revolve, Blend, Chamfer, Dimension tools. As part of it, designed classes -NL- CIxExtrudeTool,CIxExtrudeDlg,CIxExtrude,CIxRevolveTool,CIxRevolveDlg,CIxRevolve. -NL-  Developed user interface for above tools. -NL-  Added functionality for above classes and user interface. -NL-  Project : **`Hood Desktop`[PROJECT_TITLE]** -NL- Organization : **`Hood Computing PVT.LTD`[PROJECT_COMPANY_NAME]**. -NL- Client : Product with no specific client -NL- Duration : April-1999 to Dec-1999. -NL- Role and Team size : Software Engineer in team size of 3 -NL- Environment : VB, Windows-NT, ActiveX, ADO, DCOM, SQL Server. -NL- Project Description : -NL- **`Hood Desktop`[PROJECT_TITLE]** is generic three tier, client server database access tool, helps to edit the records of tables in a -NL- database. Users authorization for tables is stored in a configuration file. Users having authorization can edit the -NL- records of tables in a database. -NL- My Contribution : -NL-  Added classes CSqllink,CSqlOperations,CTableSzr,CTableSt1lag,CTablesTree,CMaster,Clist. -NL-  Forms Table Info, Login Dialog, Setting frm, dtpSzr, frmSzr,frmSt1Lag, OptionsDlg are created as part of -NL- user interface. -NL-  Designed Active-X toolbar control. -NL-  Added functionality for above classes and user interface. -NL-  Created user interface for the configuration file, which stores information of various tables and it is user -NL- friendly, helps to manipulate the sections of configuration file. As part of user interface, created forms like -NL- frmMain, settingfrm and added functionality to it. -NL-  Developed StarzZip and StarzFTP Active X controls as part of starz explorer. -NL-  -NL- (**`L. Narayana Reddy`[NAME]**) -NL- 5 -NL- 